// Copyright (c) 2010 Motorola, Inc. All Rights Reserved.

#ifndef TSOCKET_H
#define TSOCKET_H

#include "TMedia.h"

#include "event/IIOEventHandler.h"

#include <string>

class TSocket : public IIOEventHandler
{
private:
  TMedia& Media;
  int Socket;
  const std::string Path;

public:
  TSocket(TMedia& media, const std::string& path);
  virtual ~TSocket();

  int GetSocket() const;

  // IIOEventHandler
  virtual void HandleEvent(int fd, uint32_t event) throw ();
};

#endif // TSOCKET_H
