var SIDEBAR_WIDTH = 240;
var HEADER_HEIGHT = 105;
var FOOTER_HEIGHT = 50;


function onLoad() {
    //alert("onload");
    window.onresize = resizeHeight;
    createSidebar();
    resizeHeight();
//    selectItem("Building");
}

function resizeHeight() {
    //alert("resize");
    var docContent = document.getElementById("doc-content");
    var windowHeight = 0;
    var windowWidth = 0;

    if ( typeof(window.innerHeight) == 'number') {
        // non-ie browsers do it neatly
        windowHeight = window.innerHeight;
        windowWidth = window.innerWidth;
    }
    else if ( document.documentElement &&
            document.documentElement.clientHeight) {
        // ie6+ in standards compliant mode
        windowHeight = document.documentElement.clientHeight;
        windowWidth = document.documentElement.clientWidth;
    }
    else if ( document.body && (document.body.clientHeight)) {
        windowHeight = document.body.clientHeight;
        windowWidth = document.body.clientWidth;
    }

    var e_sidebar = document.getElementById("sidebar");
    var e_content = document.getElementById("doc-content");
    var e_footer = document.getElementById("footer");

    e_sidebar.style.width = SIDEBAR_WIDTH + "px";
    e_sidebar.style.height = (windowHeight -
            HEADER_HEIGHT - FOOTER_HEIGHT - 2) + "px";
    e_sidebar.style.left = "0px";

    e_content.style.width = windowWidth - SIDEBAR_WIDTH - 22 + "px";
    e_content.style.height = (windowHeight -
            HEADER_HEIGHT - FOOTER_HEIGHT - 2) + "px";
    e_content.style.right = "0px";

    e_footer.style.top = windowHeight - FOOTER_HEIGHT + "px";
    document.getElementById("body-content").style.display = "block";
    selectItem(lastSelectedItem);

}
