/*
 *--------------------------------------------------------------------
 *
 * TMulticastSourceDescriptor.h
 *
 * This class describes the multicast source element.
 * 
 * Copyright (c) 2003 Kreatel Communications AB. All Rights Reserved.
 *
 *--------------------------------------------------------------------
 */

#ifndef TMULTICASTSOURCEDESCRIPTOR_H
#define TMULTICASTSOURCEDESCRIPTOR_H

#include "media/streamer/IElementDescriptor.h"


class TMulticastSourceDescriptor : public IElementDescriptor
{
public:
  // IElementDescriptor interface:
  virtual void GetProperties(TProperties* properties) throw ();
  virtual bool MatchUri(const std::string& uri) throw ();
  virtual bool HasTrait(const std::string& trait) throw ();
  virtual IElement* CreateElement() throw ();
};

#endif
