
# This file created from .idlcpp/IIDLExceptionCodes.idl

TOIBUSYEXCEPTION = 601
TOIFILEEXCEPTION = 602
TOIINVALIDARGUMENTEXCEPTION = 603
TOIINVALIDPRECONDITIONEXCEPTION = 604
TOINODATAEXCEPTION = 605
TOINOTENOUGHRESOURCESEXCEPTION = 606
TOIOPERATIONNOTSUPPORTEDEXCEPTION = 607
TOIPERMISSIONDENIEDEXCEPTION = 608
TOISESSIONVIOLATIONEXCEPTION = 609
TOIUNAVAILABLEEXCEPTION = 610
TOIUNHANDLEDVALUEEXCEPTION = 611
TOINAMESERVICE_TUNKNOWNOBJECTEXCEPTION = 100

class ToiBusyException(Exception):
    code = TOIBUSYEXCEPTION
    def __init__(self, errorMessage):
        self.errorMessage = errorMessage
    def __str__(self):
        return self.errorMessage
class ToiFileException(Exception):
    code = TOIFILEEXCEPTION
    def __init__(self, errorMessage):
        self.errorMessage = errorMessage
    def __str__(self):
        return self.errorMessage
class ToiInvalidArgumentException(Exception):
    code = TOIINVALIDARGUMENTEXCEPTION
    def __init__(self, errorMessage):
        self.errorMessage = errorMessage
    def __str__(self):
        return self.errorMessage
class ToiInvalidPreconditionException(Exception):
    code = TOIINVALIDPRECONDITIONEXCEPTION
    def __init__(self, errorMessage):
        self.errorMessage = errorMessage
    def __str__(self):
        return self.errorMessage
class ToiNoDataException(Exception):
    code = TOINODATAEXCEPTION
    def __init__(self, errorMessage):
        self.errorMessage = errorMessage
    def __str__(self):
        return self.errorMessage
class ToiNotEnoughResourcesException(Exception):
    code = TOINOTENOUGHRESOURCESEXCEPTION
    def __init__(self, errorMessage):
        self.errorMessage = errorMessage
    def __str__(self):
        return self.errorMessage
class ToiOperationNotSupportedException(Exception):
    code = TOIOPERATIONNOTSUPPORTEDEXCEPTION
    def __init__(self, errorMessage):
        self.errorMessage = errorMessage
    def __str__(self):
        return self.errorMessage
class ToiPermissionDeniedException(Exception):
    code = TOIPERMISSIONDENIEDEXCEPTION
    def __init__(self, errorMessage):
        self.errorMessage = errorMessage
    def __str__(self):
        return self.errorMessage
class ToiSessionViolationException(Exception):
    code = TOISESSIONVIOLATIONEXCEPTION
    def __init__(self, errorMessage):
        self.errorMessage = errorMessage
    def __str__(self):
        return self.errorMessage
class ToiUnavailableException(Exception):
    code = TOIUNAVAILABLEEXCEPTION
    def __init__(self, errorMessage):
        self.errorMessage = errorMessage
    def __str__(self):
        return self.errorMessage
class ToiUnhandledValueException(Exception):
    code = TOIUNHANDLEDVALUEEXCEPTION
    def __init__(self, errorMessage):
        self.errorMessage = errorMessage
    def __str__(self):
        return self.errorMessage
class ToiNameService_TUnknownObjectException(Exception):
    code = TOINAMESERVICE_TUNKNOWNOBJECTEXCEPTION
    def __init__(self, errorMessage):
        self.errorMessage = errorMessage
    def __str__(self):
        return self.errorMessage

def ExceptionFactory(faultcode, errorMessage):
    if faultcode == TOIBUSYEXCEPTION:
        return ToiBusyException(errorMessage)
    if faultcode == TOIFILEEXCEPTION:
        return ToiFileException(errorMessage)
    if faultcode == TOIINVALIDARGUMENTEXCEPTION:
        return ToiInvalidArgumentException(errorMessage)
    if faultcode == TOIINVALIDPRECONDITIONEXCEPTION:
        return ToiInvalidPreconditionException(errorMessage)
    if faultcode == TOINODATAEXCEPTION:
        return ToiNoDataException(errorMessage)
    if faultcode == TOINOTENOUGHRESOURCESEXCEPTION:
        return ToiNotEnoughResourcesException(errorMessage)
    if faultcode == TOIOPERATIONNOTSUPPORTEDEXCEPTION:
        return ToiOperationNotSupportedException(errorMessage)
    if faultcode == TOIPERMISSIONDENIEDEXCEPTION:
        return ToiPermissionDeniedException(errorMessage)
    if faultcode == TOISESSIONVIOLATIONEXCEPTION:
        return ToiSessionViolationException(errorMessage)
    if faultcode == TOIUNAVAILABLEEXCEPTION:
        return ToiUnavailableException(errorMessage)
    if faultcode == TOIUNHANDLEDVALUEEXCEPTION:
        return ToiUnhandledValueException(errorMessage)
    if faultcode == TOINAMESERVICE_TUNKNOWNOBJECTEXCEPTION:
        return ToiNameService_TUnknownObjectException(errorMessage)
