/* -*- Mode: C++; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*-
*---------------------------------------------------------------------------
*
* TNullDeleter.h
*
* This functor can be used as the second argument to a boost::shared_ptr
* constructor to prevent the shared object from being deleted.
*
* Copyright (c) 2009 Motorola Inc. All Rights Reserved.
*
*---------------------------------------------------------------------------
*/

#ifndef BASE_TNULLDELETER_H
#define BASE_TNULLDELETER_H

struct TNullDeleter
{
  void operator()(void const* /*ptr*/) const
  {
    
  }
};

#endif
