/*
 *--------------------------------------------------------------------
 *
 * crc16.h
 *
 * Cyclic Redundancy Check routine, 16 bit CCITT style (X16+X12+X5+1).
 *
 * Copyright (c) 2002 Kreatel Communications AB. All Rights Reserved.
 *
 *--------------------------------------------------------------------
 */

#ifndef CRC_CRC16_H
#define CRC_CRC16_H

#ifdef __cplusplus
extern "C" {
#endif

  
  

extern unsigned short DoCRC16(const unsigned char* begin,
                              const unsigned char* end); 
extern unsigned short DoCRC16Run(const unsigned char* begin,
                                 const unsigned char* end,
                                 unsigned short initSum); 

#ifdef __cplusplus
}
#endif

#endif
