/*
 *--------------------------------------------------------------------
 *
 * crc32.h
 *
 * Cyclic Redundancy Check routine, 32 bit FDDI style.
 *
 * Copyright (c) 1996-2000 Kreatel Communications AB. All Rights Reserved.
 *
 *--------------------------------------------------------------------
 */

#ifndef CRC_CRC32_H
#define CRC_CRC32_H

#ifdef __cplusplus
extern "C" {
#endif

  
  

extern unsigned int DoCRC32(const unsigned char* begin,
                            const unsigned char* end);

extern unsigned int DoCRC32Run(const unsigned char* begin,
                               const unsigned char* end,
                               unsigned int initSum); 

#ifdef __cplusplus
}
#endif

#endif
