/*
 *--------------------------------------------------------------------
 *
 * crc32Ethernet.h
 *
 * Cyclic Redundancy Check routine, 32 bit Ethernet style.
 *
 * Copyright (c) 2005 Kreatel Communications AB. All Rights Reserved.
 *
 *--------------------------------------------------------------------
 */

#ifndef CRC_CRC32ETHERNET_H
#define CRC_CRC32ETHERNET_H

#ifdef __cplusplus
extern "C" {
#endif

  
  

  extern unsigned int DoCRC32Ethernet(const unsigned char* begin,
                                      const unsigned char* end);
  
  extern unsigned int DoCRC32EthernetRun(const unsigned char* begin,
                                         const unsigned char* end,
                                         unsigned int initSum); 
  
#ifdef __cplusplus
}
#endif

#endif
