/* -*- Mode: C++; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*-
 *---------------------------------------------------------------------------
 *
 * ISubtitlePlugin.h
 *
 * Copyright (c) 2011 Motorola Mobility Inc. All Rights Reserved.
 *
 *---------------------------------------------------------------------------
 */

#ifndef ISUBTITLEPLUGIN_H
#define ISUBTITLEPLUGIN_H

#include "ISubtitlePageDescriptor.h"
#include "media/streamer/IStreamerTypes.h"

class ISubtitlePlugin
{
public:
  virtual ~ISubtitlePlugin() {}
  virtual const std::string& GetName() const throw () = 0;
  virtual const IStreamerTypes::TSubtitleFormat& GetSupportFormat() const
    throw () = 0;
  virtual ISubtitlePageDescriptor* GetSubtitlePageDescriptor() const
    throw () = 0;
};

#endif 
