











#ifndef TTOIAPPLICATIONDISPATCHER_H
#define TTOIAPPLICATIONDISPATCHER_H

#include "interface/IToiApplication.h"
#include "ipc/TIpcDispatcher.h"

#include <string>
#include <vector>

class TToiApplicationDispatcher : public TIpcDispatcher
{
private:
  IToiApplication& _Implementation;

  static const char* const _MethodTable[];

public:
  TToiApplicationDispatcher(IIpcEventHandler* server,
    const std::string& objectAddress, IToiApplication* implementation) throw ();

  
  virtual bool _Invoke(const char* _interfaceName,
                       const char* _methodName,
                       TBinIpcParameterStack* _request,
                       bool* _errorResponse,
                       TBinIpcParameterStack* _response) throw ();
};

#endif 
