











#ifndef TTOIAPPLICATIONOBSERVERDISPATCHER_H
#define TTOIAPPLICATIONOBSERVERDISPATCHER_H

#include "interface/IToiApplicationObserver.h"
#include "ipc/TIpcDispatcher.h"

#include <string>
#include <vector>

class TToiApplicationObserverDispatcher : public TIpcDispatcher
{
private:
  IToiApplicationObserver& _Implementation;

  static const char* const _MethodTable[];

public:
  TToiApplicationObserverDispatcher(IIpcEventHandler* server,
    const std::string& objectAddress, IToiApplicationObserver* implementation) throw ();

  
  virtual bool _Invoke(const char* _interfaceName,
                       const char* _methodName,
                       TBinIpcParameterStack* _request,
                       bool* _errorResponse,
                       TBinIpcParameterStack* _response) throw ();
};

#endif 
