











#ifndef TTOIAUDIOOUTPUTOBSERVERDISPATCHER_H
#define TTOIAUDIOOUTPUTOBSERVERDISPATCHER_H

#include "interface/IToiAudioOutputObserver.h"
#include "ipc/TIpcDispatcher.h"

#include <string>
#include <vector>

class TToiAudioOutputObserverDispatcher : public TIpcDispatcher
{
private:
  IToiAudioOutputObserver& _Implementation;

  static const char* const _MethodTable[];

public:
  TToiAudioOutputObserverDispatcher(IIpcEventHandler* server,
    const std::string& objectAddress, IToiAudioOutputObserver* implementation) throw ();

  
  virtual bool _Invoke(const char* _interfaceName,
                       const char* _methodName,
                       TBinIpcParameterStack* _request,
                       bool* _errorResponse,
                       TBinIpcParameterStack* _response) throw ();
};

#endif 
