











#ifndef TTOIAUDIOOVERLAYOBSERVERDISPATCHER_H
#define TTOIAUDIOOVERLAYOBSERVERDISPATCHER_H

#include "interface/IToiAudioOverlayObserver.h"
#include "ipc/TIpcDispatcher.h"

#include <string>
#include <vector>

class TToiAudioOverlayObserverDispatcher : public TIpcDispatcher
{
private:
  IToiAudioOverlayObserver& _Implementation;

  static const char* const _MethodTable[];

public:
  TToiAudioOverlayObserverDispatcher(IIpcEventHandler* server,
    const std::string& objectAddress, IToiAudioOverlayObserver* implementation) throw ();

  
  virtual bool _Invoke(const char* _interfaceName,
                       const char* _methodName,
                       TBinIpcParameterStack* _request,
                       bool* _errorResponse,
                       TBinIpcParameterStack* _response) throw ();
};

#endif 
