











#ifndef TTOICHANNELOBSERVERDISPATCHER_H
#define TTOICHANNELOBSERVERDISPATCHER_H

#include "interface/IToiChannelObserver.h"
#include "ipc/TIpcDispatcher.h"

#include <string>
#include <vector>

class TToiChannelObserverDispatcher : public TIpcDispatcher
{
private:
  IToiChannelObserver& _Implementation;

  static const char* const _MethodTable[];

public:
  TToiChannelObserverDispatcher(IIpcEventHandler* server,
    const std::string& objectAddress, IToiChannelObserver* implementation) throw ();

  
  virtual bool _Invoke(const char* _interfaceName,
                       const char* _methodName,
                       TBinIpcParameterStack* _request,
                       bool* _errorResponse,
                       TBinIpcParameterStack* _response) throw ();
};

#endif 
