











#ifndef TTOIDLNAOBSERVERDISPATCHER_H
#define TTOIDLNAOBSERVERDISPATCHER_H

#include "interface/IToiDlnaObserver.h"
#include "ipc/TIpcDispatcher.h"

#include <string>
#include <vector>

class TToiDlnaObserverDispatcher : public TIpcDispatcher
{
private:
  IToiDlnaObserver& _Implementation;

  static const char* const _MethodTable[];

public:
  TToiDlnaObserverDispatcher(IIpcEventHandler* server,
    const std::string& objectAddress, IToiDlnaObserver* implementation) throw ();

  
  virtual bool _Invoke(const char* _interfaceName,
                       const char* _methodName,
                       TBinIpcParameterStack* _request,
                       bool* _errorResponse,
                       TBinIpcParameterStack* _response) throw ();
};

#endif 
