











#ifndef TTOIDRMOBSERVERDISPATCHER_H
#define TTOIDRMOBSERVERDISPATCHER_H

#include "interface/IToiDrmObserver.h"
#include "ipc/TIpcDispatcher.h"

#include <string>
#include <vector>

class TToiDrmObserverDispatcher : public TIpcDispatcher
{
private:
  IToiDrmObserver& _Implementation;

  static const char* const _MethodTable[];

public:
  TToiDrmObserverDispatcher(IIpcEventHandler* server,
    const std::string& objectAddress, IToiDrmObserver* implementation) throw ();

  
  virtual bool _Invoke(const char* _interfaceName,
                       const char* _methodName,
                       TBinIpcParameterStack* _request,
                       bool* _errorResponse,
                       TBinIpcParameterStack* _response) throw ();
};

#endif 
