











#ifndef TTOIMEDIAOBSERVERDISPATCHER_H
#define TTOIMEDIAOBSERVERDISPATCHER_H

#include "interface/IToiMediaObserver.h"
#include "ipc/TIpcDispatcher.h"

#include <string>
#include <vector>

class TToiMediaObserverDispatcher : public TIpcDispatcher
{
private:
  IToiMediaObserver& _Implementation;

  static const char* const _MethodTable[];

public:
  TToiMediaObserverDispatcher(IIpcEventHandler* server,
    const std::string& objectAddress, IToiMediaObserver* implementation) throw ();

  
  virtual bool _Invoke(const char* _interfaceName,
                       const char* _methodName,
                       TBinIpcParameterStack* _request,
                       bool* _errorResponse,
                       TBinIpcParameterStack* _response) throw ();
};

#endif 
