











#ifndef TTOIMEDIAPLAYEROBSERVERDISPATCHER_H
#define TTOIMEDIAPLAYEROBSERVERDISPATCHER_H

#include "interface/IToiMediaPlayerObserver.h"
#include "ipc/TIpcDispatcher.h"

#include <string>
#include <vector>

class TToiMediaPlayerObserverDispatcher : public TIpcDispatcher
{
private:
  IToiMediaPlayerObserver& _Implementation;

  static const char* const _MethodTable[];

public:
  TToiMediaPlayerObserverDispatcher(IIpcEventHandler* server,
    const std::string& objectAddress, IToiMediaPlayerObserver* implementation) throw ();

  
  virtual bool _Invoke(const char* _interfaceName,
                       const char* _methodName,
                       TBinIpcParameterStack* _request,
                       bool* _errorResponse,
                       TBinIpcParameterStack* _response) throw ();
};

#endif 
