











#ifndef TTOIMEDIARECORDEROBSERVERDISPATCHER_H
#define TTOIMEDIARECORDEROBSERVERDISPATCHER_H

#include "interface/IToiMediaRecorderObserver.h"
#include "ipc/TIpcDispatcher.h"

#include <string>
#include <vector>

class TToiMediaRecorderObserverDispatcher : public TIpcDispatcher
{
private:
  IToiMediaRecorderObserver& _Implementation;

  static const char* const _MethodTable[];

public:
  TToiMediaRecorderObserverDispatcher(IIpcEventHandler* server,
    const std::string& objectAddress, IToiMediaRecorderObserver* implementation) throw ();

  
  virtual bool _Invoke(const char* _interfaceName,
                       const char* _methodName,
                       TBinIpcParameterStack* _request,
                       bool* _errorResponse,
                       TBinIpcParameterStack* _response) throw ();
};

#endif 
