











#ifndef TTOIMEDIASESSIONDISPATCHER_H
#define TTOIMEDIASESSIONDISPATCHER_H

#include "interface/IToiMediaSession.h"
#include "ipc/TIpcDispatcher.h"

#include <string>
#include <vector>

class TToiMediaSessionDispatcher : public TIpcDispatcher
{
private:
  IToiMediaSession& _Implementation;

  static const char* const _MethodTable[];

public:
  TToiMediaSessionDispatcher(IIpcEventHandler* server,
    const std::string& objectAddress, IToiMediaSession* implementation) throw ();

  
  virtual bool _Invoke(const char* _interfaceName,
                       const char* _methodName,
                       TBinIpcParameterStack* _request,
                       bool* _errorResponse,
                       TBinIpcParameterStack* _response) throw ();
};

#endif 
