











#ifndef TTOIMEDIASESSIONOBSERVERDISPATCHER_H
#define TTOIMEDIASESSIONOBSERVERDISPATCHER_H

#include "interface/IToiMediaSessionObserver.h"
#include "ipc/TIpcDispatcher.h"

#include <string>
#include <vector>

class TToiMediaSessionObserverDispatcher : public TIpcDispatcher
{
private:
  IToiMediaSessionObserver& _Implementation;

  static const char* const _MethodTable[];

public:
  TToiMediaSessionObserverDispatcher(IIpcEventHandler* server,
    const std::string& objectAddress, IToiMediaSessionObserver* implementation) throw ();

  
  virtual bool _Invoke(const char* _interfaceName,
                       const char* _methodName,
                       TBinIpcParameterStack* _request,
                       bool* _errorResponse,
                       TBinIpcParameterStack* _response) throw ();
};

#endif 
