











#ifndef TTOIOPERATIONOBSERVERDISPATCHER_H
#define TTOIOPERATIONOBSERVERDISPATCHER_H

#include "interface/IToiOperationObserver.h"
#include "ipc/TIpcDispatcher.h"

#include <string>
#include <vector>

class TToiOperationObserverDispatcher : public TIpcDispatcher
{
private:
  IToiOperationObserver& _Implementation;

  static const char* const _MethodTable[];

public:
  TToiOperationObserverDispatcher(IIpcEventHandler* server,
    const std::string& objectAddress, IToiOperationObserver* implementation) throw ();

  
  virtual bool _Invoke(const char* _interfaceName,
                       const char* _methodName,
                       TBinIpcParameterStack* _request,
                       bool* _errorResponse,
                       TBinIpcParameterStack* _response) throw ();
};

#endif 
