











#ifndef TTOISCHEDULEROBSERVERDISPATCHER_H
#define TTOISCHEDULEROBSERVERDISPATCHER_H

#include "interface/IToiSchedulerObserver.h"
#include "ipc/TIpcDispatcher.h"

#include <string>
#include <vector>

class TToiSchedulerObserverDispatcher : public TIpcDispatcher
{
private:
  IToiSchedulerObserver& _Implementation;

  static const char* const _MethodTable[];

public:
  TToiSchedulerObserverDispatcher(IIpcEventHandler* server,
    const std::string& objectAddress, IToiSchedulerObserver* implementation) throw ();

  
  virtual bool _Invoke(const char* _interfaceName,
                       const char* _methodName,
                       TBinIpcParameterStack* _request,
                       bool* _errorResponse,
                       TBinIpcParameterStack* _response) throw ();
};

#endif 
