











#ifndef TTOISOFTWAREOBSERVERDISPATCHER_H
#define TTOISOFTWAREOBSERVERDISPATCHER_H

#include "interface/IToiSoftwareObserver.h"
#include "ipc/TIpcDispatcher.h"

#include <string>
#include <vector>

class TToiSoftwareObserverDispatcher : public TIpcDispatcher
{
private:
  IToiSoftwareObserver& _Implementation;

  static const char* const _MethodTable[];

public:
  TToiSoftwareObserverDispatcher(IIpcEventHandler* server,
    const std::string& objectAddress, IToiSoftwareObserver* implementation) throw ();

  
  virtual bool _Invoke(const char* _interfaceName,
                       const char* _methodName,
                       TBinIpcParameterStack* _request,
                       bool* _errorResponse,
                       TBinIpcParameterStack* _response) throw ();
};

#endif 
