/* -*- Mode: C++; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*-
 *---------------------------------------------------------------------------
 *
 * ipc/TIpcException.h
 *
 * This is the exception type thrown by caller objects when internal
 * IPC errors are detected.
 *
 * Copyright (c) 2002 Kreatel Communications AB. All Rights Reserved.
 *
 *---------------------------------------------------------------------------
 */

#ifndef IPC_TIPCEXCEPTION_H
#define IPC_TIPCEXCEPTION_H
 
#include "base/TException.h"

class TIpcException : public TException
{
public:
  TIpcException(const std::string& message) throw ();
};

inline TIpcException::TIpcException(const std::string& message) throw () :
  TException(message)
{
  
}

#endif 
