// Copyright (c) 2011 Motorola Mobility, Inc. All rights reserved.

#ifndef ICHAPTER_H
#define ICHAPTER_H

/** Used by source elements to support chapter operations.
 */
class IChapter
{
public:
  virtual ~IChapter() {}

  /** Set playback position by stepping chapter.

     \param chapters  How many chapters should we move relatively current
                      position. 0 restarts current chapter.
   */
  virtual void ChangeChapter(const int& chapters)
    throw () = 0;
};

#endif
