/*
 *--------------------------------------------------------------------
 *
 * InterfaceNames.h
 *
 * String constants of interface names used by the elements
 * and streamer core.
 *
 * Copyright (c) 2011 Motorola Inc. All Rights Reserved.
 *
 *--------------------------------------------------------------------
 */

#ifndef INTERFACENAMES_H
#define INTERFACENAMES_H

#define INTERFACE_ROOT "IRoot"
#define INTERFACE_PIPELINEENTRY "IPipelineEntry"
#define INTERFACE_SOURCE "ISource"
#define INTERFACE_SOURCECALLBACK "ISourceCallback"
#define INTERFACE_SINK "ISink"
#define INTERFACE_SINKCALLBACK "ISinkCallback"
#define INTERFACE_VIDEOSINK "IVideoSink"
#define INTERFACE_RECORDERSINK "IRecorderSink"
#define INTERFACE_EVENT "IEvent"
#define INTERFACE_EVENTCALLBACK "IEventCallback"
#define INTERFACE_BLACKBOARD "IBlackboard"
#define INTERFACE_BLACKBOARDOBSERVER "IBlackboardObserver"
#define INTERFACE_DEBUG "IDebug"
#define INTERFACE_INPUTPAD "IInputPad"
#define INTERFACE_HARDWARE "IHardware"
#define INTERFACE_FAULT "IFault"
#define INTERFACE_DISCARD "IDiscard"
#define INTERFACE_SYSTEMEVENTOBSERVER "ISystemEventObserver"
#define INTERFACE_PLAYBACKCOMMANDOBSERVER "IPlaybackCommandObserver"
#define INTERFACE_TIMESTAMPOBSERVER "ITimeStampObserver"
#define INTERFACE_MEDIADECODEROBSERVER "IMediaDecoderObserver"
#define INTERFACE_AUDIOOVERLAY "IAudioOverlay"

#endif
