addCategory("Fundamentals", "fundamentals", 5);
addCategory("Platform Services", "services", 10);
addCategory("Configuration Objects", "configuration", 15);
addCategory("Media Player", "media", 20);
addCategory("Toolchain", "toolchain", 25);
addCategory("IIPs", "iip", 30);
addCategory("Hardware Abstraction Layer", "hal", 35);
addCategory("Streamer Extension", "streamer", 35);
addCategory("Video Resolutions", "video", 40);
addCategory("Notes", "notes", 100);
addItem("Access to Services",  2, "platform/services/access.html", "services");
addItem("Architecture Compatibility",  2, "platform/notes/compatibility.html", "notes");
addItem("Software Architecture",  2, "platform/fundamentals/architectural_overview.html", "fundamentals");
addItem("Video Setting Notes",  2, "platform/video/video_setting_notes.html", "video");
addItem("Application Service Configuration",  3, "platform/services/service_config_file.html", "services");
addItem("Building a Boot Image",  4, "platform/fundamentals/building.html", "fundamentals");
addItem("Application Objects",  5, "platform/configuration/application_objects.html", "configuration");
addItem("Application Service",  5, "platform/services/application_service.html", "services");
addItem("IP-STB Installation Package",  5, "platform/iip/iip.html", "iip");
addItem("Installing",  5, "platform/toolchain/install.html", "toolchain");
addItem("Media Player URL Format",  5, "platform/media/URL_format.html", "media");
addItem("Overview",  5, "platform/streamer/overview.html", "streamer");
addItem("Smart Card Resource",  5, "platform/hal/resource_smartcard.html", "hal");
addItem("KreaTV Javascript Extensions",  6, "platform/fundamentals/toijs_versions.html", "fundamentals");
addItem("Asset Manager Service",  10, "platform/services/asset_manager_service.html", "services");
addItem("DLNA Support",  10, "platform/media/dlna_support.html", "media");
addItem("Firmware Objects",  10, "platform/configuration/firmware_objects.html", "configuration");
addItem("IIP Naming",  10, "platform/iip/naming.html", "iip");
addItem("Linux Kernel Modules",  10, "platform/hal/linux_kernel_modules.html", "hal");
addItem("Streamer Concepts",  10, "platform/streamer/concepts.html", "streamer");
addItem("Using",  10, "platform/toolchain/use.html", "toolchain");
addItem("Media Manager",  11, "platform/media/media_player.html", "media");
addItem("Element Data Flow",  12, "platform/streamer/element_data_flow.html", "streamer");
addItem("Audio Output Service",  15, "platform/services/audio_output_service.html", "services");
addItem("Building",  15, "platform/iip/building.html", "iip");
addItem("Elements",  15, "platform/streamer/elements.html", "streamer");
addItem("Media Service Configuration",  15, "platform/media/service_config.html", "media");
addItem("Tools",  15, "platform/toolchain/tools.html", "toolchain");
addItem("Platform Objects",  16, "platform/configuration/platform_objects.html", "configuration");
addItem("Channel Service",  19, "platform/services/channel_service.html", "services");
addItem("Attributes",  20, "platform/iip/attributes.html", "iip");
addItem("DLNA Service",  20, "platform/services/dlna_service.html", "services");
addItem("Source Elements",  20, "platform/streamer/source_elements.html", "streamer");
addItem("Storage Structure",  20, "platform/configuration/storage_structure.html", "configuration");
addItem("Streamer Configuration",  20, "platform/media/streamer_config.html", "media");
addItem("EIT Cache Service",  25, "platform/services/eit_cache_service.html", "services");
addItem("Sink Elements",  25, "platform/streamer/sink_elements.html", "streamer");
addItem("Frontend Service",  29, "platform/services/frontend_service.html", "services");
addItem("Element Packaging",  30, "platform/streamer/modules.html", "streamer");
addItem("Front Panel Service",  30, "platform/services/front_panel_service.html", "services");
addItem("Front Panel Service config",  32, "platform/services/front_panel_config_file.html", "services");
addItem("Element Design",  35, "platform/streamer/element_design.html", "streamer");
addItem("Information Service",  35, "platform/services/information_service.html", "services");
addItem("Media Service",  40, "platform/services/media_service.html", "services");
addItem("Streamer Extension Interfaces",  40, "platform/streamer/interfaces.html", "streamer");
addItem("Operation Manager",  45, "platform/services/operation_manager.html", "services");
addItem("Scheduler Service",  50, "platform/services/scheduler_service.html", "services");
addItem("Storage Service",  55, "platform/services/storage_service.html", "services");
addItem("Time Service",  60, "platform/services/time_service.html", "services");
addItem("Video Output Service",  65, "platform/services/video_output_service.html", "services");
addItem("Media Player Parameters",  99, "platform/media/media_player_parameters.html", "media");
addItem("System Objects",  99, "platform/configuration/system_objects.html", "configuration");
selectTab("platform");
