#include <linux/kernel.h>
#include <linux/module.h>
#include <linux/init.h>
#include <linux/version.h>

#define KBUILD_MODNAME mymodule

extern void mymodule_foo(void); /* in mymodule2.c */

int mymodule_init(void)
{
  printk(KERN_INFO "mymodule_init:\n");
  mymodule_foo();
  return 0;
}

void mymodule_cleanup(void)
{
  printk(KERN_INFO "mymodule_cleanup:\n");
}

MODULE_AUTHOR("Motorola, Inc.");
MODULE_LICENSE("GPL");

#if LINUX_VERSION_CODE < KERNEL_VERSION(2,6,1)

module_init(mymodule_init);
module_exit(mymodule_cleanup);

#else

#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

#undef unix
struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
 .name = __stringify(KBUILD_MODNAME),
 .init = mymodule_init,
#ifdef CONFIG_MODULE_UNLOAD
 .exit = mymodule_cleanup,
#endif
};

static const struct modversion_info ____versions[]
__attribute_used__
__attribute__((section("__versions"))) = {
};

static const char __module_depends[]
__attribute_used__
__attribute__((section(".modinfo"))) =
"depends=";

#endif
