/*
 *--------------------------------------------------------------------
 *
 * TSimpleDescriptor.h
 *
 * This class describes the simple element.
 * 
 * Copyright (c) 2003 Kreatel Communications AB. All Rights Reserved.
 *
 *--------------------------------------------------------------------
 */

#ifndef TSIMPLEDESCRIPTOR_H
#define TSIMPLEDESCRIPTOR_H

#include "media/streamer/IElementDescriptor.h"


class TSimpleDescriptor : public IElementDescriptor
{
public:
  // IElementDescriptor interface:
  virtual void GetProperties(TProperties* properties) throw ();
  virtual bool MatchUri(const std::string& uri) throw ();
  virtual bool HasTrait(const std::string& trait) throw ();
  virtual IElement* CreateElement() throw ();
};

#endif
