# -----------------------------------------------------------------------------
#
# Copyright (c) 2011 Motorola Mobility, Inc. All rights reserved.
#
# This program is confidential and proprietary to Motorola Mobility, Inc and
# may not be copied, reproduced, disclosed to others, published or used, in
# whole or in part, without the expressed prior written permission of Motorola
# Mobility, Inc.
#
# -----------------------------------------------------------------------------

from subtitletestcase import SubtitleTestCase
import ktestrunner

#KATTrequirement: COMP-3, Subtitle component info
#KATTrequirement: COMP-1, partial. Multiple subtitle component, activation not covered.

class TestSubtitleInfo(SubtitleTestCase):

    def test_subtitle_info_all(self):
        self.safe_play_wait('kms1178')
        self.safe_close()

        self.safe_play_wait('kms0018')
        self.safe_close()

if __name__ == '__main__':
    ktestrunner.RunTests()

