/*
 *--------------------------------------------------------------------
 *
 * crc16ccitt.h
 *
 * Cyclic Redundancy Check routine, CRC computaion using the non reversed
 *   CCITT_CRC polynomial 0x1021(truncated)
 * Copyright (c) 2007 Motorola ,Inc. All Rights Reserved.
 *
 *--------------------------------------------------------------------
 */

#ifndef CRC_CRC16_CCITT_H
#define CRC_CRC16_CCITT_H

#ifdef __cplusplus
extern "C" {
#endif

extern unsigned short CRC16CCITT(unsigned char* data,unsigned short length,
                                 unsigned short seed,unsigned short final);
#ifdef __cplusplus
}
#endif

#endif
