/* -*- Mode: C++; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*-
 *---------------------------------------------------------------------------
 *
 * ISubtitlePageDescriptor.h
 *
 * Copyright (c) 2011 Motorola Mobility Inc. All Rights Reserved.
 *
 *---------------------------------------------------------------------------
 */

#ifndef ISUBTITLEPAGEDESCRIPTOR_H
#define ISUBTITLEPAGEDESCRIPTOR_H

#include "ISubtitlePage.h"
#include "extension/kreatvgfx/common/IMediaServiceWrapper.h"
#include "media/streamer/IStreamerTypes.h"

class ISubtitlePageDescriptor
{
public:
  virtual ~ISubtitlePageDescriptor() { /* Empty */ }

  virtual ISubtitlePage* CreateSubtitlePage(IMediaServiceWrapper* mediaService)
    throw () = 0;
};

#endif 
