/*
 *--------------------------------------------------------------------
 *
 * InternalObjectNames.h
 *
 * A list of internal object names. These names can be expected to be
 * registered in the name service.
 *
 * Copyright Motorola, Inc. 2002-2008
 *
 *--------------------------------------------------------------------
 */

#ifndef INTERNALOBJECTNAMES_H
#define INTERNALOBJECTNAMES_H

#define PROCESS_SERVICE_NAME       "ProcessService"
#define PLATFORM_SERVICE_NAME      "PlatformService"
#define VIDEOOUTPUT_SERVICE_NAME   "InternalVideoOutputService"
#define AUDIOOUTPUT_SERVICE_NAME   "InternalAudioOutputService"
#define FILE_SERVICE_NAME          "FileService"
#define DLNA_PLAYBACK_SERVICE_NAME "DlnaPlaybackService"
#define ASSET_SERVICE_NAME         "FakeAssetService"
#define MEDIA_SERVICE_NAME         "InternalMediaService"
#define I_LED_SERVICE_NAME         "InternalLedService"
#define DRM_SERVICE_NAME           "InternalDrmService"
#define CABLECARD_SERVICE_NAME           "InternalCableCardService"
#define INTERNAL_ASSET_MANAGER_SERVICE_NAME "InternalAssetManagerService"
#define DEGRADING_VIDEOOUTPUT_SERVICE_NAME "DegradingVideoOutputService"
#define AUDIO_OVERLAY_SERVICE_NAME  "InternalAudioOverlayService"
#define INPUT_SERVICE_NAME "InputService"

#endif // INTERNALOBJECTNAMES_H
