











#ifndef TTOIASSETMANAGEROBSERVERDISPATCHER_H
#define TTOIASSETMANAGEROBSERVERDISPATCHER_H

#include "interface/IToiAssetManagerObserver.h"
#include "ipc/TIpcDispatcher.h"

#include <string>
#include <vector>

class TToiAssetManagerObserverDispatcher : public TIpcDispatcher
{
private:
  IToiAssetManagerObserver& _Implementation;

  static const char* const _MethodTable[];

public:
  TToiAssetManagerObserverDispatcher(IIpcEventHandler* server,
    const std::string& objectAddress, IToiAssetManagerObserver* implementation) throw ();

  
  virtual bool _Invoke(const char* _interfaceName,
                       const char* _methodName,
                       TBinIpcParameterStack* _request,
                       bool* _errorResponse,
                       TBinIpcParameterStack* _response) throw ();
};

#endif 
