











#ifndef TTOIDIAGNOSTICSDATAMODELOBSERVERDISPATCHER_H
#define TTOIDIAGNOSTICSDATAMODELOBSERVERDISPATCHER_H

#include "interface/IToiDiagnosticsDataModelObserver.h"
#include "ipc/TIpcDispatcher.h"

#include <string>
#include <vector>

class TToiDiagnosticsDataModelObserverDispatcher : public TIpcDispatcher
{
private:
  IToiDiagnosticsDataModelObserver& _Implementation;

  static const char* const _MethodTable[];

public:
  TToiDiagnosticsDataModelObserverDispatcher(IIpcEventHandler* server,
    const std::string& objectAddress, IToiDiagnosticsDataModelObserver* implementation) throw ();

  
  virtual bool _Invoke(const char* _interfaceName,
                       const char* _methodName,
                       TBinIpcParameterStack* _request,
                       bool* _errorResponse,
                       TBinIpcParameterStack* _response) throw ();
};

#endif 
