











#ifndef TTOIDLNACONTENTDIRECTORYOBSERVERDISPATCHER_H
#define TTOIDLNACONTENTDIRECTORYOBSERVERDISPATCHER_H

#include "interface/IToiDlnaContentDirectoryObserver.h"
#include "ipc/TIpcDispatcher.h"

#include <string>
#include <vector>

class TToiDlnaContentDirectoryObserverDispatcher : public TIpcDispatcher
{
private:
  IToiDlnaContentDirectoryObserver& _Implementation;

  static const char* const _MethodTable[];

public:
  TToiDlnaContentDirectoryObserverDispatcher(IIpcEventHandler* server,
    const std::string& objectAddress, IToiDlnaContentDirectoryObserver* implementation) throw ();

  
  virtual bool _Invoke(const char* _interfaceName,
                       const char* _methodName,
                       TBinIpcParameterStack* _request,
                       bool* _errorResponse,
                       TBinIpcParameterStack* _response) throw ();
};

#endif 
