











#ifndef TTOIDLNARENDEREROBSERVERDISPATCHER_H
#define TTOIDLNARENDEREROBSERVERDISPATCHER_H

#include "interface/IToiDlnaRendererObserver.h"
#include "ipc/TIpcDispatcher.h"

#include <string>
#include <vector>

class TToiDlnaRendererObserverDispatcher : public TIpcDispatcher
{
private:
  IToiDlnaRendererObserver& _Implementation;

  static const char* const _MethodTable[];

public:
  TToiDlnaRendererObserverDispatcher(IIpcEventHandler* server,
    const std::string& objectAddress, IToiDlnaRendererObserver* implementation) throw ();

  
  virtual bool _Invoke(const char* _interfaceName,
                       const char* _methodName,
                       TBinIpcParameterStack* _request,
                       bool* _errorResponse,
                       TBinIpcParameterStack* _response) throw ();
};

#endif 
