











#ifndef TTOIDVBEITCACHEOBSERVERDISPATCHER_H
#define TTOIDVBEITCACHEOBSERVERDISPATCHER_H

#include "interface/IToiDvbEitCacheObserver.h"
#include "ipc/TIpcDispatcher.h"

#include <string>
#include <vector>

class TToiDvbEitCacheObserverDispatcher : public TIpcDispatcher
{
private:
  IToiDvbEitCacheObserver& _Implementation;

  static const char* const _MethodTable[];

public:
  TToiDvbEitCacheObserverDispatcher(IIpcEventHandler* server,
    const std::string& objectAddress, IToiDvbEitCacheObserver* implementation) throw ();

  
  virtual bool _Invoke(const char* _interfaceName,
                       const char* _methodName,
                       TBinIpcParameterStack* _request,
                       bool* _errorResponse,
                       TBinIpcParameterStack* _response) throw ();
};

#endif 
