











#ifndef TTOIINFORMATIONOBSERVERDISPATCHER_H
#define TTOIINFORMATIONOBSERVERDISPATCHER_H

#include "interface/IToiInformationObserver.h"
#include "ipc/TIpcDispatcher.h"

#include <string>
#include <vector>

class TToiInformationObserverDispatcher : public TIpcDispatcher
{
private:
  IToiInformationObserver& _Implementation;

  static const char* const _MethodTable[];

public:
  TToiInformationObserverDispatcher(IIpcEventHandler* server,
    const std::string& objectAddress, IToiInformationObserver* implementation) throw ();

  
  virtual bool _Invoke(const char* _interfaceName,
                       const char* _methodName,
                       TBinIpcParameterStack* _request,
                       bool* _errorResponse,
                       TBinIpcParameterStack* _response) throw ();
};

#endif 
