











#ifndef TTOIMEDIACONSUMEROBSERVERDISPATCHER_H
#define TTOIMEDIACONSUMEROBSERVERDISPATCHER_H

#include "interface/IToiMediaConsumerObserver.h"
#include "ipc/TIpcDispatcher.h"

#include <string>
#include <vector>

class TToiMediaConsumerObserverDispatcher : public TIpcDispatcher
{
private:
  IToiMediaConsumerObserver& _Implementation;

  static const char* const _MethodTable[];

public:
  TToiMediaConsumerObserverDispatcher(IIpcEventHandler* server,
    const std::string& objectAddress, IToiMediaConsumerObserver* implementation) throw ();

  
  virtual bool _Invoke(const char* _interfaceName,
                       const char* _methodName,
                       TBinIpcParameterStack* _request,
                       bool* _errorResponse,
                       TBinIpcParameterStack* _response) throw ();
};

#endif 
