











#ifndef TTOIPLATFORMOBSERVERDISPATCHER_H
#define TTOIPLATFORMOBSERVERDISPATCHER_H

#include "interface/IToiPlatformObserver.h"
#include "ipc/TIpcDispatcher.h"

#include <string>
#include <vector>

class TToiPlatformObserverDispatcher : public TIpcDispatcher
{
private:
  IToiPlatformObserver& _Implementation;

  static const char* const _MethodTable[];

public:
  TToiPlatformObserverDispatcher(IIpcEventHandler* server,
    const std::string& objectAddress, IToiPlatformObserver* implementation) throw ();

  
  virtual bool _Invoke(const char* _interfaceName,
                       const char* _methodName,
                       TBinIpcParameterStack* _request,
                       bool* _errorResponse,
                       TBinIpcParameterStack* _response) throw ();
};

#endif 
