











#ifndef TTOISTORAGEOBSERVERDISPATCHER_H
#define TTOISTORAGEOBSERVERDISPATCHER_H

#include "interface/IToiStorageObserver.h"
#include "ipc/TIpcDispatcher.h"

#include <string>
#include <vector>

class TToiStorageObserverDispatcher : public TIpcDispatcher
{
private:
  IToiStorageObserver& _Implementation;

  static const char* const _MethodTable[];

public:
  TToiStorageObserverDispatcher(IIpcEventHandler* server,
    const std::string& objectAddress, IToiStorageObserver* implementation) throw ();

  
  virtual bool _Invoke(const char* _interfaceName,
                       const char* _methodName,
                       TBinIpcParameterStack* _request,
                       bool* _errorResponse,
                       TBinIpcParameterStack* _response) throw ();
};

#endif 
