











#ifndef TTOIVIDEOOUTPUTCONFIGURATIONOBSERVERDISPATCHER_H
#define TTOIVIDEOOUTPUTCONFIGURATIONOBSERVERDISPATCHER_H

#include "interface/IToiVideoOutputConfigurationObserver.h"
#include "ipc/TIpcDispatcher.h"

#include <string>
#include <vector>

class TToiVideoOutputConfigurationObserverDispatcher : public TIpcDispatcher
{
private:
  IToiVideoOutputConfigurationObserver& _Implementation;

  static const char* const _MethodTable[];

public:
  TToiVideoOutputConfigurationObserverDispatcher(IIpcEventHandler* server,
    const std::string& objectAddress, IToiVideoOutputConfigurationObserver* implementation) throw ();

  
  virtual bool _Invoke(const char* _interfaceName,
                       const char* _methodName,
                       TBinIpcParameterStack* _request,
                       bool* _errorResponse,
                       TBinIpcParameterStack* _response) throw ();
};

#endif 
