











#ifndef TTOIVIDEOOUTPUTOBSERVERDISPATCHER_H
#define TTOIVIDEOOUTPUTOBSERVERDISPATCHER_H

#include "interface/IToiVideoOutputObserver.h"
#include "ipc/TIpcDispatcher.h"

#include <string>
#include <vector>

class TToiVideoOutputObserverDispatcher : public TIpcDispatcher
{
private:
  IToiVideoOutputObserver& _Implementation;

  static const char* const _MethodTable[];

public:
  TToiVideoOutputObserverDispatcher(IIpcEventHandler* server,
    const std::string& objectAddress, IToiVideoOutputObserver* implementation) throw ();

  
  virtual bool _Invoke(const char* _interfaceName,
                       const char* _methodName,
                       TBinIpcParameterStack* _request,
                       bool* _errorResponse,
                       TBinIpcParameterStack* _response) throw ();
};

#endif 
