/*
*--------------------------------------------------------------------
*
* ToiObjectNames.h
*
* A list of TOI object names. These names can be expected to be
* registered in the name service.
*
* Copyright (c) 2009 Motorola Inc. All Rights Reserved.
*
*--------------------------------------------------------------------
*/
#ifndef TOIOBJECTNAMES_H
#define TOIOBJECTNAMES_H
#define TOI_APPLICATION_SERVICE_NAME "ApplicationService"
#define TOI_ASSET_MANAGER_SERVICE_NAME "AssetManagerService"
#define TOI_AUDIO_OUTPUT_SERVICE_NAME "AudioOutputService"
#define TOI_AUDIO_OVERLAY_SERVICE_NAME "AudioOverlayService"
#define TOI_CHANNEL_SERVICE_NAME "ChannelService"
#define TOI_DIAGNOSTICS_SERVICE_NAME "DiagnosticsService"
#define TOI_DLNA_SERVICE_NAME "DlnaService"
#define TOI_DRM_SERVICE_NAME "DrmService"
#define TOI_DVB_EIT_SERVICE_NAME "DvbEitService"
#define TOI_FRONT_PANEL_SERVICE_NAME "FrontPanelService"
#define TOI_FRONTEND_SERVICE_NAME "FrontendService"
#define TOI_INFORMATION_SERVICE_NAME "InformationService"
#define TOI_MEDIA_SERVICE_NAME "MediaService"
#define TOI_NAME_SERVICE_NAME "NameService"
#define TOI_PLATFORM_SERVICE_NAME "PlatformService"
#define TOI_SCHEDULER_SERVICE_NAME "SchedulerService"
#define TOI_SOFTWARE_SERVICE_NAME "SoftwareService"
#define TOI_STORAGE_SERVICE_NAME "StorageService"
#define TOI_VIDEO_OUTPUT_SERVICE_NAME "VideoOutputService"
#endif
