/* -*- Mode: C++; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*-
 *---------------------------------------------------------------------------
 *
 * ipc/TIpcServer.h
 *
 * Copyright (c) 2002 Kreatel Communications AB. All Rights Reserved.
 * Copyright (c) 2007 Motorola, Inc. All Rights Reserved.
 *
 *---------------------------------------------------------------------------
 */

#ifndef IPC_TIPCSERVER_H
#define IPC_TIPCSERVER_H

#include "TIpcEventHandler.h"

#include "event/TUnixEventLoop.h"

class TIpcServer : public TIpcEventHandler
{
protected:
  TUnixEventLoop UnixEventLoop;

public:
  TIpcServer() throw ();
  TIpcServer(const std::string& address) throw ();
  virtual ~TIpcServer() throw ();

  bool RunOnce(int millis = -1) throw ();
  void Run() throw ();
  void RunPending() throw ();
  void Stop() throw ();
};

#endif 
