/*
 *---------------------------------------------------------------------------
 *
 * Mpeg2Video.h
 *
 * Constants from ISO IEC 13818-2
 *
 * Copyright (c) 2010 Motorola, Inc. All Rights Reserved.
 *
 *---------------------------------------------------------------------------
 */

#ifndef MPEG2VIDEO_H
#define MPEG2VIDEO_H

namespace Mpeg2Video
{
  enum TStartCode {
    START_CODE_PREFIX = 0x00000100,
    START_CODE_PICTURE = 0x00,
    START_CODE_USER_DATA = 0xB2,
    START_CODE_SEQUENCE_HEADER = 0xB3,
    START_CODE_SEQUENCE_ERROR = 0xB4,
    START_CODE_EXTENSION = 0xB5,
    START_CODE_SEQUENCE_END = 0xB7,
    START_CODE_GROUP = 0xB8
  };
};

#endif  
