







#ifndef UTILS_HEX_H
#define UTILS_HEX_H

#include <string>
#include <stdint.h>

namespace Hex
{
  std::string Dump(const uint8_t* data, uint32_t size, int wrap = 0) throw ();
  std::string DumpLines(const uint8_t* data, uint32_t size, int wrap = 16)
    throw ();
  std::string CArray(const uint8_t* data, uint32_t size, int wrap = 8) throw ();
  void Parse(const std::string& hexString, uint8_t* data, uint32_t length)
    throw ();
};

#endif
