







#ifndef UTILS_TSIMPLECONFIG_H
#define UTILS_TSIMPLECONFIG_H

#include "base/NonCopyable.h"
#include "base/TException.h"
#include "cutils/TSimpleConfigFile.h"

#include <string>

class TSimpleConfig
{
  NON_COPYABLE(TSimpleConfig);

private:
  TSimpleConfigFile* SimpleConfigFile;

public:
  TSimpleConfig(const std::string& filename);
  ~TSimpleConfig();

  bool GetValue(const std::string& name, std::string& value) const;
  bool GetValue(const std::string& name, int& value) const;
  bool GetValue(const std::string& name, bool& value) const;
};

#endif
