







#ifndef UTILS_TUTF8STRINGITERATOR_H
#define UTILS_TUTF8STRINGITERATOR_H

#include <stdint.h>
#include <string>

class TUtf8StringIterator 
{
private:
  std::string Utf8String;
  std::string::const_iterator StringIterator;

  uint32_t CharacterSize() throw ();

public:
  TUtf8StringIterator(const std::string& utf8String) throw ();
  
  void Begin() throw ();
  void Next() throw ();
  bool End() throw ();
  void GetCharacter(std::string& result) throw ();
  uint32_t GetUnicode() throw ();
};

#endif
